let Remote = require('remote');
let App = Remote.require('app');

let Core = require('../modules/Core');
let $ = require('jquery');
let $toolbar = $('.toolbar');

let $title = $toolbar.find('.title');
let $closeButton = $toolbar.find('.close-button');
let $enlargeButton = $toolbar.find('.enlarge-button');
let $shrinkButton = $toolbar.find('.shrink-button');

Core.on('title-updated', (newTitle) => {
  $title.text(newTitle);
});

$closeButton.on('click', () => {
  App.quit();
});

$shrinkButton.on('click', () => {
  Remote.getCurrentWindow().minimize();
});

$enlargeButton.on('click', () => {
  let win = Remote.getCurrentWindow();
  if (win.isMaximized()) {
    win.unmaximize();
  } else {
    win.maximize();
  }
});
